CREATE TABLE subscription_category (
  ID bigserial NOT NULL,
  NAME varchar(255) NOT NULL,
  DESCRIPTION varchar(255) default NULL,
  PRIMARY KEY (ID),
  UNIQUE (NAME)
)
-- SEPARATOR --
CREATE TABLE subscription_encoding (
  ID bigserial NOT NULL,
  NAME varchar(255) NOT NULL,
  DESCRIPTION varchar(255) default NULL,
  PRIMARY KEY (ID),
  UNIQUE (NAME)
)
-- SEPARATOR --
CREATE TABLE subscription_message (
  ID bigserial NOT NULL,
  CATEGORYID bigint NOT NULL,
  SENTDT timestamp default NULL,
  SUBJECT varchar(255) NOT NULL,
  SENDER varchar(255) NOT NULL,
  MESSAGE text NOT NULL,
  STATUSSENT bigint default NULL,
  PRIMARY KEY (ID)
)
-- SEPARATOR --
CREATE TABLE subscription_subscriber (
  ID bigserial NOT NULL,
  EMAIL varchar(255) NOT NULL,
  SURNAME varchar(255) default NULL,
  NAME varchar(255) default NULL,
  DESCRIPTION varchar(255) default NULL,
  ORGANIZATION varchar(255) default NULL,
  ADDRESS varchar(255) default NULL,
  ZIPCODE varchar(255) default NULL,
  LOCATION varchar(255) default NULL,
  CONFIRMED bigint default NULL,
  CREATEDT timestamp NOT NULL default '-infinity',
  ENCODINGID bigint default NULL,
  ACTIVE bigint NOT NULL default '0',
  UNSUBSCRIBE_DATE timestamp default NULL,
  PRIMARY KEY (ID),
  UNIQUE (EMAIL)
)
-- SEPARATOR --
CREATE TABLE subscription_subscriber_msg (
  MESSAGEID bigint NOT NULL,
  SUBSCRIBERID bigint NOT NULL,
  ISOPENED bigint NOT NULL default '0',
  UNIQUE (MESSAGEID,SUBSCRIBERID)
)
-- SEPARATOR --
CREATE TABLE subscription_sbscrbr_to_cat (
  CATEGORYID bigint NOT NULL,
  SUBSCRIBERID bigint NOT NULL,
  UNIQUE (CATEGORYID,SUBSCRIBERID)
)